package cn.net.caoyao.cpzshandset.db.presenter;

import java.util.List;

import android.database.Cursor;
import cn.net.caoyao.cpzshandset.bean.SaleBean;

public interface DealerOutDal {
	/**
	 * 通过销售id查询销售信息
	 * @param id
	 * @return
	 */
	SaleBean querySalesById(int id);
	/**
	 * 插入销售信息
	 * @param saleBean
	 * @return
	 */
	int insertSalesInfo(SaleBean saleBean);
	
	/**
	 * 修改销售信息
	 * @param saleBean
	 */
	void updateSalesInfo(SaleBean saleBean);
	/**
	 * 修改销售信息的提交
	 * @param status
	 * @param errorCode
	 * @param id
	 */
	void updateSalesSubmitStatus(int status,int errorCode, int id);

	/**
	 * 删除销售信息
	 * @param saleBean
	 */
	void deleteSalesById(SaleBean saleBean);
	/**
	 * 查询所有的销售信息
	 * @return 降序排列
	 */
	List<SaleBean> queryAllSalesList();
	
	/**
	 * 查询所有的销售信息   
	 * @return  升序排列
	 */
	List<SaleBean> queryAllSalesListASC();
	SaleBean getSalesBean(Cursor c);
	
	
}
